Authorizations
15 operations in the Adverity Connect API. Replace {{INSTANCE}} and {{KEY}} in the examples with your instance and API key. How authentication works.
Create connection invite
POST/api/connection-invite/
API key permissionAuthorization: Writeauthorization:write
Request bodyrequired
application/json also application/x-www-form-urlencoded, multipart/form-data
Body schema
object ConnectionInviteMAPI
content_typesarray of objectrequiredItems · PendingAuthorization
namestringrequiredcontent_typeintegerrequiredapp_idintegernullable
emailstring · emailrequiredemail_bodystringDefault
"Hello,\n\nYou are receiving this email because {{user}} has requested access to the following data source(s) in Adverity:\n\n{{links}}\n\nKind regards,\nAdverity Support"notification_emailsarray of stringrequiredstackintegerrequiredsend_invite_emailbooleanDefault
true
Responses
201Createdapplication/json
Response schema
object ConnectionInviteMAPI
content_typesarray of objectrequiredItems · PendingAuthorization
namestringrequiredcontent_typeintegerrequiredapp_idintegernullable
emailstring · emailrequiredemail_bodystringDefault
"Hello,\n\nYou are receiving this email because {{user}} has requested access to the following data source(s) in Adverity:\n\n{{links}}\n\nKind regards,\nAdverity Support"notification_emailsarray of stringrequiredstackintegerrequiredsend_invite_emailbooleanDefault
true
List connection types
GET/api/connection-types/
API key permissionAuthorization: Read-onlyauthorization:read
Query parameters
pageintegerA page number within the paginated result set.
page_sizeintegerNumber of results to return per page.
searchstringA search term.
Responses
200OKapplication/json
Response schema
object PaginatedConnectionTypeList
countintegerrequiredExample
123nextstring · urinullableExample
"http://api.example.org/accounts/?page=4"previousstring · urinullableExample
"http://api.example.org/accounts/?page=2"resultsarray of objectrequiredItems · ConnectionType
idintegerrequiredread-onlynamestringrequiredread-onlyslugstringrequiredread-onlycanonical_namestringrequiredread-onlyurlstring · urirequiredread-onlycategoriesarray of stringrequiredread-onlykeywordsarray of stringrequiredread-onlyis_deprecatedbooleanrequiredread-onlylogo_urlstringrequiredread-onlycreate_urlstringrequiredread-onlyconnectionsstring · urirequiredread-only
Get connection types
GET/api/connection-types/{id}/
API key permissionAuthorization: Read-onlyauthorization:read
Path parameters
idintegerrequiredA unique integer value identifying this content type.
Responses
200OKapplication/json
Response schema
object ConnectionType
idintegerrequiredread-onlynamestringrequiredread-onlyslugstringrequiredread-onlycanonical_namestringrequiredread-onlyurlstring · urirequiredread-onlycategoriesarray of stringrequiredread-onlykeywordsarray of stringrequiredread-onlyis_deprecatedbooleanrequiredread-onlylogo_urlstringrequiredread-onlycreate_urlstringrequiredread-onlyconnectionsstring · urirequiredread-only
List connection types connections
GET/api/connection-types/{parent_lookup_type_id}/connections/
API key permissionAuthorization: Read-onlyauthorization:read
Path parameters
parent_lookup_type_idstringrequiredThe connection type: its integer id or its canonical_name, as listed by GET /api/connection-types/.
Query parameters
creatorstringnamestringorderingstringWhich field to use when ordering the results.
pageintegerA page number within the paginated result set.
page_sizeintegerNumber of results to return per page.
stack_idinteger
Responses
200OKapplication/json
Response schema
object PaginatedPolymorphicConnectionBaseList
countintegerrequiredExample
123nextstring · urinullableExample
"http://api.example.org/accounts/?page=4"previousstring · urinullableExample
"http://api.example.org/accounts/?page=2"resultsarray of objectrequiredItems · PolymorphicConnectionBase
idintegerrequiredread-onlyconnection_invite_uuidstringrequiredread-onlynullableenable_all_billing_objectsbooleanAutomatically enable all billing objects of the connection. Only takes effect for connection types billed per billing object. On create, any value is accepted. On update of a connection of any other type, a value different from the stored one returns 400.
stackintegernullableis_authorizedbooleanrequiredread-onlynamestringrequiredMax length
100
Create connection types connections
POST/api/connection-types/{parent_lookup_type_id}/connections/
API key permissionAuthorization: Writeauthorization:write
Path parameters
parent_lookup_type_idstringrequiredThe connection type: its integer id or its canonical_name, as listed by GET /api/connection-types/.
Request bodyrequired
application/json also application/x-www-form-urlencoded, multipart/form-data
Body schema
object PolymorphicConnectionBase
no_validatebooleanwrite-onlyenable_all_billing_objectsbooleanAutomatically enable all billing objects of the connection. Only takes effect for connection types billed per billing object. On create, any value is accepted. On update of a connection of any other type, a value different from the stored one returns 400.
stackintegernullablenamestringrequiredMax length
100
Responses
201Createdapplication/json
Response schema
object PolymorphicConnectionBase
idintegerrequiredread-onlyconnection_invite_uuidstringrequiredread-onlynullableenable_all_billing_objectsbooleanAutomatically enable all billing objects of the connection. Only takes effect for connection types billed per billing object. On create, any value is accepted. On update of a connection of any other type, a value different from the stored one returns 400.
stackintegernullableis_authorizedbooleanrequiredread-onlynamestringrequiredMax length
100
Get connection types connections
GET/api/connection-types/{parent_lookup_type_id}/connections/{id}/
API key permissionAuthorization: Read-onlyauthorization:read
Path parameters
idintegerrequiredThe connection id.
parent_lookup_type_idstringrequiredThe connection type: its integer id or its canonical_name, as listed by GET /api/connection-types/.
Responses
200OKapplication/json
Response schema
object PolymorphicConnectionBase
idintegerrequiredread-onlyconnection_invite_uuidstringrequiredread-onlynullableenable_all_billing_objectsbooleanAutomatically enable all billing objects of the connection. Only takes effect for connection types billed per billing object. On create, any value is accepted. On update of a connection of any other type, a value different from the stored one returns 400.
stackintegernullableis_authorizedbooleanrequiredread-onlynamestringrequiredMax length
100
Replace connection types connections
PUT/api/connection-types/{parent_lookup_type_id}/connections/{id}/
API key permissionAuthorization: Writeauthorization:write
Path parameters
idintegerrequiredThe connection id.
parent_lookup_type_idstringrequiredThe connection type: its integer id or its canonical_name, as listed by GET /api/connection-types/.
Request bodyrequired
application/json also application/x-www-form-urlencoded, multipart/form-data
Body schema
object PolymorphicConnectionBase
no_validatebooleanwrite-onlyenable_all_billing_objectsbooleanAutomatically enable all billing objects of the connection. Only takes effect for connection types billed per billing object. On create, any value is accepted. On update of a connection of any other type, a value different from the stored one returns 400.
stackintegernullablenamestringrequiredMax length
100
Responses
200OKapplication/json
Response schema
object PolymorphicConnectionBase
idintegerrequiredread-onlyconnection_invite_uuidstringrequiredread-onlynullableenable_all_billing_objectsbooleanAutomatically enable all billing objects of the connection. Only takes effect for connection types billed per billing object. On create, any value is accepted. On update of a connection of any other type, a value different from the stored one returns 400.
stackintegernullableis_authorizedbooleanrequiredread-onlynamestringrequiredMax length
100
Update connection types connections
PATCH/api/connection-types/{parent_lookup_type_id}/connections/{id}/
API key permissionAuthorization: Writeauthorization:write
Path parameters
idintegerrequiredThe connection id.
parent_lookup_type_idstringrequiredThe connection type: its integer id or its canonical_name, as listed by GET /api/connection-types/.
Request body
application/json also application/x-www-form-urlencoded, multipart/form-data
Body schema
object PatchedPolymorphicConnectionBase
no_validatebooleanwrite-onlyenable_all_billing_objectsbooleanAutomatically enable all billing objects of the connection. Only takes effect for connection types billed per billing object. On create, any value is accepted. On update of a connection of any other type, a value different from the stored one returns 400.
stackintegernullablenamestringMax length
100
Responses
200OKapplication/json
Response schema
object PolymorphicConnectionBase
idintegerrequiredread-onlyconnection_invite_uuidstringrequiredread-onlynullableenable_all_billing_objectsbooleanAutomatically enable all billing objects of the connection. Only takes effect for connection types billed per billing object. On create, any value is accepted. On update of a connection of any other type, a value different from the stored one returns 400.
stackintegernullableis_authorizedbooleanrequiredread-onlynamestringrequiredMax length
100
Delete connection types connections
DELETE/api/connection-types/{parent_lookup_type_id}/connections/{id}/
API key permissionAuthorization: Writeauthorization:write
Path parameters
idintegerrequiredThe connection id.
parent_lookup_type_idstringrequiredThe connection type: its integer id or its canonical_name, as listed by GET /api/connection-types/.
Responses
204No response body
Get connection types connections authorize
GET/api/connection-types/{parent_lookup_type_id}/connections/{id}/authorize/
API key permissionAuthorization: Read-onlyauthorization:read
Path parameters
idintegerrequiredThe connection id.
parent_lookup_type_idstringrequiredThe connection type: its integer id or its canonical_name, as listed by GET /api/connection-types/.
Query parameters
return_urlstring · uriOAuth connection types only: the URL to send the user to after the authorization.
Responses
200OKapplication/json
Response schema
object ConnectionAuthorize
statusstringrequiredAlways "ok".
is_oauthbooleanrequiredis_authorizedbooleanurlstringOpen this URL to start the OAuth authorization.
messagestring
Update connection types connections token
PATCH/api/connection-types/{parent_lookup_type_id}/connections/{id}/token/
API key permissionAuthorization: Writeauthorization:write
Path parameters
idintegerrequiredThe connection id.
parent_lookup_type_idstringrequiredThe connection type: its integer id or its canonical_name, as listed by GET /api/connection-types/.
Request body
application/json
Body schema
object
access_tokenstringrequiredrefresh_tokenstringnullableexpiresstring · date-timerequirednullable
Responses
200OKapplication/json
Response schema
object ConnectionActionStatus
statusstringrequired"ok", or "error" when the
tokenaction is called on a connection type without OAuth (returned with 400). Theupdateaction always returns "ok". Other failures use the normal error responses, not this field.messagestringrequired
400The connection type does not use OAuth: `status` and `message`. A request body that fails validation returns the error envelope instead: `detail`, and `errors` keyed by field.application/json
Response schema
one of
ConnectionActionStatus
statusstringrequired"ok", or "error" when the
tokenaction is called on a connection type without OAuth (returned with 400). Theupdateaction always returns "ok". Other failures use the normal error responses, not this field.messagestringrequired
object
detailstringrequirederrorsobjectrequired
Create connection types connections update
POST/api/connection-types/{parent_lookup_type_id}/connections/{id}/update/
API key permissionAuthorization: Writeauthorization:write
Path parameters
idintegerrequiredThe connection id.
parent_lookup_type_idstringrequiredThe connection type: its integer id or its canonical_name, as listed by GET /api/connection-types/.
Responses
200OKapplication/json
Response schema
object ConnectionActionStatus
statusstringrequired"ok", or "error" when the
tokenaction is called on a connection type without OAuth (returned with 400). Theupdateaction always returns "ok". Other failures use the normal error responses, not this field.messagestringrequired
List connections
GET/api/connections/
API key permissionAuthorization: Read-onlyauthorization:read
Query parameters
creatorstringnamestringorderingstringWhich field to use when ordering the results.
pageintegerA page number within the paginated result set.
page_sizeintegerNumber of results to return per page.
stack_idinteger
Responses
200OKapplication/json
Response schema
object PaginatedAuthorizationListList
countintegerrequiredExample
123nextstring · urinullableExample
"http://api.example.org/accounts/?page=4"previousstring · urinullableExample
"http://api.example.org/accounts/?page=2"resultsarray of objectrequiredItems · AuthorizationList
idintegerrequiredread-onlynamestringrequiredMax length
100stackobjectrequiredread-onlynullableAttributes
StackBasic
idintegerrequiredread-onlyuuidstring · uuidrequiredread-onlynamestringrequiredMax length
60slugstringrequiredread-onlyurlstring · urirequiredread-onlychange_urlstringrequiredread-onlyextracts_urlstringrequiredread-onlyissues_urlstringrequiredread-onlyoverview_urlstringrequiredread-onlypermissionsobjectrequiredread-onlyAttributes
isCreatorbooleanrequiredisDatastreamManagerbooleanrequiredisViewerbooleanrequired
null
polymorphic_ctype_idintegerrequiredread-onlynullableconnection_typestringrequiredread-onlycredentials_validatedbooleanrequiredread-onlyis_authorizedbooleanrequiredread-onlycreatedstring · date-timerequiredread-onlyupdatedstring · date-timerequiredread-onlycreator_usernamestringrequiredread-onlynullabledatastream_countintegerrequiredread-onlydetail_urlstringrequiredread-onlyconnection_invite_uuidstringrequiredread-onlynullable
Rotate current Management API key.
POST/api/v1/auth/keys/current/rotate/
Responses
200OKapplication/json
Response schema
object ManagementKeyRefreshResponseSchema
api_keystringrequired
416Requested Range Not Satisfiableapplication/json
Response schema
object ErrorSchema
detailstringrequired
418I'm a Teapotapplication/json
Response schema
object ErrorSchema
detailstringrequired
451Unavailable For Legal Reasonsapplication/json
Response schema
object ErrorSchema
detailstringrequired
425Too Earlyapplication/json
Response schema
object ErrorSchema
detailstringrequired
429Too Many Requestsapplication/json
Response schema
object ErrorSchema
detailstringrequired
400Bad Requestapplication/json
Response schema
object ErrorSchema
detailstringrequired
401Unauthorizedapplication/json
Response schema
object ErrorSchema
detailstringrequired
402Payment Requiredapplication/json
Response schema
object ErrorSchema
detailstringrequired
403Forbiddenapplication/json
Response schema
object ErrorSchema
detailstringrequired
404Not Foundapplication/json
Response schema
object ErrorSchema
detailstringrequired
405Method Not Allowedapplication/json
Response schema
object ErrorSchema
detailstringrequired
406Not Acceptableapplication/json
Response schema
object ErrorSchema
detailstringrequired
407Proxy Authentication Requiredapplication/json
Response schema
object ErrorSchema
detailstringrequired
408Request Timeoutapplication/json
Response schema
object ErrorSchema
detailstringrequired
409Conflictapplication/json
Response schema
object ErrorSchema
detailstringrequired
410Goneapplication/json
Response schema
object ErrorSchema
detailstringrequired
411Length Requiredapplication/json
Response schema
object ErrorSchema
detailstringrequired
412Precondition Failedapplication/json
Response schema
object ErrorSchema
detailstringrequired
500Internal Server Errorapplication/json
Response schema
object ErrorSchema
detailstringrequired
501Not Implementedapplication/json
Response schema
object ErrorSchema
detailstringrequired
502Bad Gatewayapplication/json
Response schema
object ErrorSchema
detailstringrequired
503Service Unavailableapplication/json
Response schema
object ErrorSchema
detailstringrequired
504Gateway Timeoutapplication/json
Response schema
object ErrorSchema
detailstringrequired
Introspect the current API key.
GET/api/v1/auth/keys/introspect/
Responses
200OKapplication/json
Response schema
object KeyIntrospectionSchema
activebooleanrequiredscopesarray of stringnullableAttributes
array of string
null
workspace_idstringnullableAttributes
string
null
user_idstringnullableAttributes
string
null
expires_atstring · date-timenullableAttributes
string · date-time
null
429Too Many Requestsapplication/json
Response schema
object ErrorSchema
detailstringrequired